Bug 134684 - evolution does not remove old mails for pop3
evolution does not remove old mails for pop3
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-10-05 11:52 EDT by Féliciano Matias
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-14 08:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2004-10-05 11:52:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002

Description of problem:
Sometimes, evolution leaves some old mails on the pop3 server.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Just retrieve the mail

Actual Results: 
Old mails left in the server.

Expected Results:
All old mails removed from the server at the end of the retrieval.

Additional info:

Upstream bug report :
Comment 1 Féliciano Matias 2004-10-06 00:26:22 EDT
Strange, update to Rawhide from 2004-10-05 and reboot : No problems now.

Set bug to NEEDINFO and severity to normal.
Comment 2 Féliciano Matias 2004-10-08 01:42:25 EDT
Closed, I can't reproduce.
Comment 3 Féliciano Matias 2004-10-08 12:17:22 EDT
Reopen :-)
11 mails left in my mail box currently.
Comment 4 Marius Andreiana 2004-10-08 16:12:38 EDT
Sometimes (seldom) it happens to me too, but I can't reproduce it.
Maybe a problem or disconnect in Expunging messages from server?
Comment 5 Dave Malcolm 2004-10-08 17:08:05 EDT
Please set the environment variable CAMEL_VERBOSE_DEBUG=1 and run
evolution from that enviroment: lots of useful debug information
should be sent to stdout, which hopefully should yield some clue as to
what's going wrong.
Comment 6 Féliciano Matias 2004-10-10 04:39:00 EDT
I have a _HUGE_ log with CAMEL_VERBOSE_DEBUG=1 .
The problem appended in this log .
Here is the log :

evolution.pop3.log.txt is "grep -i pop -C 3 evolution.full.log.txt"

During this session, I got two more mails left. Now I have 15 mails
left in the pop3 server (account feliciano.matias@free.fr).

Hope this help.
Comment 7 Féliciano Matias 2004-10-13 14:56:39 EDT
evolution-2.0.2-1 seems to fix this bug.
I'll wait a little before to confirm.
Comment 8 Féliciano Matias 2004-10-14 08:19:00 EDT
Closed, fixed in evolution-2.0.2-1.

Note You need to log in before you can comment on or make changes to this bug.